Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.editor.e3
Class MEEditorInput

    java.lang.Object
      org.eclipse.emf.ecp.editor.e3.MEEditorInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorInput

    public class MEEditorInput

extends Object
implements org.eclipse.ui.IEditorInput

The `IEditorInput` for the `MEEditor`.

Author:
  helming, shterev, naughton

Constructor Summary
`MEEditorInput(ECPEditorContext context)` Default constructor.
`MEEditorInput(ECPEditorContext context, org.eclipse.emf.ecore.EStructuralFeature problemFeature)` Constructor to add a probleFeature.

Method Summary
`void` | `dispose()` Disposes the input.
`boolean` | `equals(Object obj)` Custom equals() for this class.
`boolean` | `exists()`
`Object` | `getAdapter(Class clazz)`
`org.eclipse.jface.resource.ImageDescriptor` | `getImageDescriptor()`
`ECPEditorContext` | `getModelElementContext()` Returns the `ECPEditorContext`.
`String` | `getName()`
`org.eclipse.ui.IPersistableElement` | `getPersistable()`
`org.eclipse.emf.ecore.EStructuralFeature` | `getProblemFeature()`
`String` | `getToolTipText()`
`int` | `hashCode()`
`void` | `setProblemFeature(org.eclipse.emf.ecore.EStructuralFeature problemFeature)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MEEditorInput

    public MEEditorInput(ECPEditorContext context,
                         org.eclipse.emf.ecore.EStructuralFeature problemFeature)

  Constructor to add a probleFeature.

  Parameters:
    `context` - context of the model element
    `problemFeature` - the problem feature

### MEEditorInput

    public MEEditorInput(ECPEditorContext context)

  Default constructor.

  Parameters:
    `context` - context of the modelelement

Method Detail

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `org.eclipse.ui.IEditorInput`

### getPersistable

    public org.eclipse.ui.IPersistableElement getPersistable()

  Specified by:
    `getPersistable` in interface `org.eclipse.ui.IEditorInput`

### getProblemFeature

    public org.eclipse.emf.ecore.EStructuralFeature getProblemFeature()

  Returns:
    the problemFeature

### setProblemFeature

    public void setProblemFeature(org.eclipse.emf.ecore.EStructuralFeature problemFeature)

  Parameters:
    `problemFeature` - the problemFeature to set

### equals

    public boolean equals(Object obj)

  Custom equals() for this class.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the compared object.
  Returns:
    the boolean state.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getAdapter

    public Object getAdapter(Class clazz)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getModelElementContext

    public ECPEditorContext getModelElementContext()

  Returns the `ECPEditorContext`.

  Returns:
    `ECPEditorContext`

### dispose

    public void dispose()

  Disposes the input.

### getImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor()

  Specified by:
    `getImageDescriptor` in interface `org.eclipse.ui.IEditorInput`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.eclipse.ui.IEditorInput`

### getToolTipText

    public String getToolTipText()

  Specified by:
    `getToolTipText` in interface `org.eclipse.ui.IEditorInput`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.